# Class GetTradeStatisticsRequest

#### Hierarchy

- unknown
  - GetTradeStatisticsRequest

- Defined in src/protobuf/grpc_pb.d.ts:2314
- Defined in src/protobuf/grpc_pb.d.ts:2323

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetTradeStatisticsRequest(): GetTradeStatisticsRequest

- #### Returns GetTradeStatisticsRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2315

### toObject

- toObject(includeInstance?: boolean): GetTradeStatisticsRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetTradeStatisticsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2316

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTradeStatisticsRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTradeStatisticsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2319

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTradeStatisticsRequest, reader: BinaryReader): GetTradeStatisticsRequest

- #### Parameters

  - ##### message: GetTradeStatisticsRequest

  - ##### reader: BinaryReader

  #### Returns GetTradeStatisticsRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2320

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTradeStatisticsRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetTradeStatisticsRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2318

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetTradeStatisticsRequest): GetTradeStatisticsRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTradeStatisticsRequest

  #### Returns GetTradeStatisticsRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2317

Generated using TypeDoc